org.apache.olingo.odata2.api.ep.callback

## Class WriteFeedCallbackContext

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.callback.WriteCallbackContext
  - - org.apache.olingo.odata2.api.ep.callback.WriteFeedCallbackContext

-     public class WriteFeedCallbackContext
      extends WriteCallbackContext

  Context given if the target of an expand is a feed. It contains the source entity set, the navigation property pointing to the entry which has to be expanded, the current expand select tree node and the data of the source entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteFeedCallbackContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getSelfLink()` This self link is the same as the link displayed for the navigation property e.g.
    `void` | `setSelfLink(URI selfLink)` Sets the self Link for this feed.

    - ### Methods inherited from class org.apache.olingo.odata2.api.ep.callback.WriteCallbackContext

      `extractKeyFromEntryData, getCurrentExpandSelectTreeNode, getCurrentWriteProperties, getEntryData, getNavigationProperty, getSourceEntitySet, setCurrentExpandSelectTreeNode, setCurrentWriteProperties, setEntryData, setNavigationProperty, setSourceEntitySet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteFeedCallbackContext

          public WriteFeedCallbackContext()

  - ### Method Detail

    - #### setSelfLink

          public void setSelfLink(URI selfLink)

      Sets the self Link for this feed.
      Parameters:
        `selfLink` -

    - #### getSelfLink

          public URI getSelfLink()

      This self link is the same as the link displayed for the navigation property e.g. Rooms(1)/nr_Buildings.
      Returns:
        the self link calculated by the library

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.